## mingw-w64-zug-0.1.1-1.src.tar.zst

=== example/CMakeLists.txt ===

add_custom_target(examples COMMENT "Build all examples")
add_dependencies(check examples)

=== PKGBUILD ===
# Contributor: MehdiChinoune <mehdi.chinoune@hotmail.com>

_realname=zug
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.1.1
pkgrel=1
pkgdesc="Transducers for C++ — Clojure style higher order push/pull sequence transformations (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: zug'
)
msys2_repository_url='https://github.com/arximboldi/zug'
url='https://sinusoid.es/zug'
license=('spdx:BSL-1.0')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja")
source=("https://github.com/arximboldi/zug/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('1b9c8f962e40baa6f0c6af35f957444850063d550078a3ebd0227727b8ef193c')

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${_extra_config[@]}" \
      -Dzug_BUILD_TESTS=OFF \
      -Dzug_BUILD_EXAMPLES=OFF \
      -Dzug_BUILD_DOCS=OFF \
      ../${_realname}-${pkgver}

  "${MINGW_PREFIX}"/bin/cmake.exe --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install .

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/LICENSE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
